const { ipcMain } = require("electron");
const { spawn } = require("child_process");
const { copyFileSync, existsSync } = require("fs");
const { basename, join, posix } = require("path");

const handler = win => {
  console.log(existsSync);
  let file = process.argv.slice(process.argv.indexOf(process.execPath) + 1);
  if (file[0].indexOf("dist_electron") !== -1) {
    file = file.slice(1);
  }
  if (file.length === 0) {
    return;
  }
  if (win && win.webContents) {
    win.webContents.executeJavaScript(
      `window.dispatchEvent(new CustomEvent('modal', { detail: {modal: true, file: '${file}'}}));`
    );
  }
  ipcMain.on("modal_upload", (_, data) => {
    const { Id, Source, Target, Username, File } = data;
    copyFileSync(File, join(Source, basename(File)));
    spawn("docker", [
      "exec",
      Id,
      "cp",
      "-r",
      `${posix.join(Target, basename(File))}`,
      `/home/${Username}/Desktop/`
    ]);
  });
};

module.exports = handler;
